curl --request GET \
--url https://api.tilta.io/v1/buyers/{external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/buyers/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/buyers/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/buyers/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "<string>",
"created_at": 1582896122,
"updated_at": 1582896122,
"max_days_past_due": 123,
"legal_name": "ACME GmbH",
"legal_form": "LIMITED_COMPANY",
"business_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"trading_name": "ACME",
"registered_at": 1582896122,
"incorporated_at": 1582896122,
"business_identifiers": [
{
"type": "VAT_ID",
"value": "<string>",
"country": "AF"
}
],
"delivery_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"custom_data": {},
"contacts": [
{
"external_id": "<string>",
"buyer_external_id": "<string>",
"assign_to_all_invoices": true,
"created_at": 1582896122,
"updated_at": 1582896122,
"salutation": "MR",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "+491711010101",
"address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
}
]
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}Retrieve a buyer
Fetch a single buyer record by its external ID. Returns full company details, current onboarding status, and any stored business identifiers.
Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of a buyer.
100^[a-zA-Z0-9-_]+$Query Parameters
Buyer sub-entities to expand in the response object. Currently supported: contacts (buyer contacts).
contacts ["contacts"]
Response
Details of the buyer.
Unique identifier of a buyer.
100^[a-zA-Z0-9-_]+$Timestamp indicating when the buyer was created (unix time in seconds).
1582896122
Timestamp indicating the last time the buyer was updated (unix time in seconds).
1582896122
Maximum days past due among DUE invoices.
Buyer's full legal name incl. the legal form if applicable.
"ACME GmbH"
Buyer's legal form which depends on the buyer's registered country. Available legal forms cover Tilta's operating countries.
LIMITED_COMPANY, SOLE_TRADER, PARTNERSHIP, PUBLIC_COMPANY, COOPERATIVE, GOVERNMENT, OTHER Buyer's billing address.
Show child attributes
Show child attributes
Buyer's trading name. If it's not provided, Tilta will use the legal_name.
"ACME"
Buyer' registration date (unix time in seconds), when they signed up on your platform.
1582896122
Buyer's date of incorporation (unix time in seconds), meaning the date when the business of registered or started.
1582896122
A list of business identifiers
Show child attributes
Show child attributes
Buyer's default delivery address.
Show child attributes
Show child attributes
Free-form metadata for storing integration-specific data alongside this buyer. Replaces the existing object entirely on update.
Show child attributes
Show child attributes
Buyer contacts. Returned when expand includes contacts.
Show child attributes
Show child attributes